Shipment Planning API

Determine when a shipment should drop to the fc and ship by to arrive by a date.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Information used to generate a shipment planning decision.

date-time

Overrides the requestDate to a specific date & time from which the ship by and drop by date are calculated. ISO 8601 format

string

The string representation of either an ISO-8601 date or a LocalDate: yyyy-mm-dd. The date on which you want the shipment in question to be delivered on or before.

int32

An integer number of business days by which the shipment must be delivered. Used as an alternative to desiredDeliveryDate and cannot be passed with desiredDeliveryDate.

date

A date value specifying when the shipment needs to be shipped by (in the timezone of the FC from which it is shipping). Mutually exclusive with mustShipByBusinessDays and mustShipByCalendarDays.

int32

An integer number of business days by which the shipment must be shipped from the FC. Mutually exclusive with mustShipByDate and mustShipByCalendarDays.

int32

An integer number of calendar days by which the shipment must be shipped from the FC. Mutually exclusive with mustShipByDate and mustShipByBusinessDays.

int32

An integer number of days before the desiredDeliveryDate that defines the earliest acceptable delivery date. Used to determine if candidates are too early for the delivery window. Optional - if not provided, there is no earliest delivery constraint.

string
enum

The type of days to use when calculating the delivery window: BUSINESS for business days, CALENDAR for calendar days. Can only be set if deliveryWindowDays is provided. If deliveryWindowDays is provided without this field, CALENDAR is assumed.

Allowed:
desiredDeliveryDateOptions
object

Options for how the system will use the desiredDeliveryDate

carrierServiceMethodAllowList
array of strings

A list of carrierServiceMethodId and/or carriers that should be considered for selection.

carrierServiceMethodAllowList
shipmentParameters
object
required

Details of the shipment and its corresponding package and to/from addresses.

string

Reference external identifier that is used for reporting purposes.

string

Reference external identifier explicitly provided by the partner. Used for reporting purposes.

referenceIdentifiers
array of objects

Reference external identifiers that are used for reporting purposes.

referenceIdentifiers
options
object
string
string
Headers
string
Responses

204

No Shipment Planning result available.

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json